<div class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- CONTENT HEADER -->
        <div class="header white-fg"
          fxLayout="column" fxLayoutAlign="center center"
          fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

          <!-- APP TITLE -->
          <div fxLayout="row" fxLayoutAlign="start center">

              <button class="mr-16" mat-icon-button [routerLink]="'/plans-cancel'">
                  <mat-icon>arrow_back</mat-icon>
              </button>

              <!-- SEARCH -->
              <div class="search-input-wrapper mx-12 m-md-0"
                fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
                <label for="search" class="mr-8">
                  <mat-icon class="secondary-text">search</mat-icon>
                </label>
                <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                  <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Informe o Cliente / Placa">
                </mat-form-field>
              </div>
              <!-- / SEARCH -->
          </div>
          <!-- / APP TITLE -->

          
        </div>
        <!-- / CONTENT HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg">

            <!-- CONTENT TOOLBAR -->
            <!-- <div class="toolbar px-24 py-8">
              
            </div> -->
            <!-- / CONTENT TOOLBAR -->

            <!-- CONTENT -->
            <div class="content p-24" fusePerfectScrollbar>

              <mat-chip-list *ngIf="plansList?.length === 0">
                <mat-chip color="accent">Não foi encontrado resultado para a sua busca</mat-chip>
              </mat-chip-list>

              <div class="mx-12 m-md-0"
                fxFlex="1 0 auto" fxLayout="column" fxLayoutAlign="space-between none" fxLayoutGap="10px">

                <div class="fuse-card" fxFlex="100" *ngFor="let plan of plansList">

                  <div class="p-16">
                      <div class="h1">{{plan.relationships.user.name}}</div>
                      <div class="h4 secondary-text">{{ plan.relationships.device.model }}</div>
                  </div>
              
                  <div class="p-16 pt-0 line-height-1.75">
                      {{ plan.relationships.offer.name }}
                  </div>

                  <div class="p-8 pt-0" fxLayout="row" fxLayoutAlign="end center">
                    <button mat-button color="accent" (click)="selectPlan(plan)">SELECIONAR</button>
                  </div>
                </div>
              </div>

            </div>
            <!-- / CONTENT -->

        </div>
        <!-- / CONTENT CARD -->

    </div>
    <!-- / CENTER -->

</div>




  

   

  